///////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2005 Xilinx, Inc.
// All Rights Reserved
///////////////////////////////////////////////////////////////////////////////
// ____ ____
// / /\/ /
// /___/ \ / Vendor: Xilinx
// \ \ \/ Version  : 1.5
// \ \ Application : MIG
// / / Filename    : data_path_rst.v
// /___/ /\ 
// \ \ / \
// \___\/\___\
//
//Design Name : data_path_rst
//Description : This module contains the FD instantiations for various reset signals
///////////////////////////////////////////////////////////////////////////////

`timescale 1ns/100ps
module xst_vlog_bl2cl2_data_path_rst( clk90,
                      clk,
			//clk180,
                   //   clk270,
                      reset,
                      reset90,
                      reset180,
                      reset270,
                      reset_r,
                      reset90_r,
                      reset90_r1,
                      reset180_r,
                      reset270_r );

   input clk90;
//   input clk180;
//   input clk270;

   input reset;
   input reset90;
   input reset180;
   input reset270;
   input clk; 

   output reset_r;
   output reset90_r;
   output reset90_r1;
   output reset180_r;
   output reset270_r;
   
 

  FD rst0_r (.Q(reset_r), .C(clk),. D(reset));
  FD rst90_r (.Q(reset90_r), .C(clk90),. D(reset90));
  FD rst90_r1 (.Q(reset90_r1), .C(clk90),. D(reset90));
  FD rst180_r (.Q(reset180_r), .C(~clk),. D(reset180));
  FD rst270_r (.Q(reset270_r), .C(~clk90),. D(reset270));

                      
endmodule 

















      
